# BEGIN SourceDeps(oneline):
BuildRequires: makeinfo texinfo
# END SourceDeps(oneline)
%def_with _octave_arch
%define octpkg netcdf
Name: octave-%octpkg
Version: 1.0.17
Release: alt2
Summary: A NetCDF interface for Octave

Group: Sciences/Mathematics
License: GPLv3+
URL: https://octave.sf.net/netcdf/index.html

Source0: https://downloads.sourceforge.net/project/octave/Octave%%20Forge%%20Packages/Individual%%20Package%%20Releases/%{octpkg}-%{version}.tar.gz

BuildRequires(pre): rpm-build-octave
BuildRequires: octave-devel
%if_with _octave_arch
BuildRequires: gcc-c++ gcc-g77 libfftw3-devel libhdf5-devel liblapack-devel libncurses-devel libreadline-devel
BuildRequires: gnu-config
%else
BuildArch: noarch
%endif
Provides: octave(netcdf) = %version

# octave module BuildRequires: netcdf-devel [Fedora]
BuildRequires: libnetcdf-devel
# Depends: octave (>= 4.0.0)
Requires: octave >= 4.0.0


%description
A NetCDF interface for Octave

%prep
%setup -q -n %{octpkg}-%{version}

%build
cp -at src /usr/share/gnu-config/config.{guess,sub}
%octave_build

%install
%octave_install

%files
%doc DESCRIPTION README.md COPYING NEWS doc
%_datadir/octave/packages/%octpkg-%version
%if_with _octave_arch
%_libdir/octave/packages/%octpkg-%version
%endif

%changelog
* Wed Dec 27 2023 Alexey Sheplyakov <asheplyakov@altlinux.org> 1.0.17-alt2
- NMU: fixed FTBFS on LoongArch (use fresh config.{guess,sub})

* Tue Dec 26 2023 Igor Vlasenko <viy@altlinux.org> 1.0.17-alt1
- regenerated from template by package builder

* Wed Dec 01 2021 Igor Vlasenko <viy@altlinux.org> 1.0.14-alt1
- regenerated from template by package builder

* Wed Apr 13 2016 Igor Vlasenko <viy@altlinux.ru> 1.0.9-alt1
- regenerated from template by package builder

* Tue Jul 07 2015 Paul Wolneykien <manowar@altlinux.org> 1.0.5-alt2
- Rebuild with the next version of Octave: 4.0.0

* Thu Jun 18 2015 Gleb F-Malinovskiy <glebfm@altlinux.org> 1.0.5-alt1.1
- Rebuilt for gcc5 C++11 ABI.

* Wed Jul 02 2014 Paul Wolneykien <manowar@altlinux.ru> 1.0.5-alt1
- updated by octave-package-builder

